Skip to main content
`Ctrl`+`K`

# PCFieldSplitGetIS

Retrieves the elements for a split as an `IS`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitGetIS(PC pc, const char splitname[], IS *is)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- splitname - name of this split

## Output Parameter

- is - the index set that defines the elements in this split, or `NULL` if the split is not found

## See Also

Solving Block Matrices with PCFIELDSPLIT, `PC`, `PCFieldSplitGetSubKSP()`, `PCFIELDSPLIT`, `PCFieldSplitSetIS()`, `PCFieldSplitGetISByIndex()`

## Level

intermediate

## Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages